Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.aspects.portlet
Class HeaderInterceptor

    java.lang.Object
      org.jboss.portal.portlet.invocation.PortletInterceptor
          org.jboss.portal.core.aspects.portlet.HeaderInterceptor

All Implemented Interfaces:
  Interceptor

    public class HeaderInterceptor

extends PortletInterceptor

Version:
  $Revision: 8786 $
Author:
  Martin Holzner, Julien Viet, Chris Laprun

Constructor Summary
`HeaderInterceptor()`

Method Summary
`protected java.lang.Object` | `invoke(PortletInvocation invocation)`
`protected void` | `render(MarkupHeaderInfo headerContent, java.io.StringWriter writer, java.lang.String contextPath)` Render the header content provided by the portlet.

Methods inherited from class org.jboss.portal.portlet.invocation.PortletInterceptor
`invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeaderInterceptor

    public HeaderInterceptor()

Method Detail

### invoke

    protected java.lang.Object invoke(PortletInvocation invocation)
                               throws java.lang.Exception,
                                      InvocationException

  Specified by:
    `invoke` in class `PortletInterceptor`
  Throws:
    `java.lang.Exception`
    `InvocationException`

### render

    protected void render(MarkupHeaderInfo headerContent,
                          java.io.StringWriter writer,
                          java.lang.String contextPath)

  Render the header content provided by the portlet.

  Parameters:
    `headerContent` -
    `writer` -
    `contextPath` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD